%define api3		2.91

%define lib3_major	0
%define lib3_name	%mklibname vte %{api3} %{lib3_major}
%define gir3name	%mklibname vte-gir %{api3}
%define develname3	%mklibname -d %{name}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		vte3
Version:	0.68.0
Release:	%mkrel 1
Summary:	A terminal emulator widget
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.gnome.org/
Source0:	https://download.gnome.org/sources/vte/%{url_ver}/vte-%{version}.tar.xz
BuildRequires:	pkgconfig(cairo-xlib)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.1.9
BuildRequires:	pkgconfig(pango) >= 1.22.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	automake
BuildRequires:	gtk-doc
BuildRequires:	gobject-introspection-devel
BuildRequires:	intltool
BuildRequires:	vala-devel
BuildRequires:  python3-dataclasses
Requires:	%{name}-profile
Requires:   python3-dataclasses
Obsoletes:  altyo
Obsoletes:  vte2.90

%description
VTE is a terminal emulator widget for use with GTK+ 3.0.

%package -n %{lib3_name}
Summary:	A terminal emulator widget
Group:		System/Libraries
Requires:	%{name} >= %{version}
Obsoletes:  lib64vte2_90_9

%description -n %{lib3_name}
VTE is a terminal emulator widget for use with GTK+ 3.0.

%package -n %{develname3}
Summary:	Files needed for developing applications which use VTE
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires: 	%{lib3_name} = %{version}-%{release}
Obsoletes:  lib64vte2.90-devel

%description -n %{develname3}
VTE is a terminal emulator widget for use with GTK+ 3.0.  This
package contains the files needed for building applications using VTE.

%package profile
Summary:	Profile script for VTE terminal emulator library
Conflicts:	%{name} < 0.37.90-2

%description profile
This package package contains a profile.d script for the VTE terminal
emulator library.


%prep
%setup -qn vte-%{version}

%build
%meson --buildtype=plain -Ddocs=false -D_systemd=false
%meson_build

%install
%meson_install

#we don't want these
find %{buildroot} -name "*.la" -delete
%find_lang vte-%{api3}

%files -f vte-%{api3}.lang
%{_bindir}/vte-%{api3}
%{_libexecdir}/vte-urlencode-cwd

%files profile
%{_sysconfdir}/profile.d/vte.sh
%{_sysconfdir}/profile.d/vte.csh
%{_datadir}/glade/catalogs/vte-2.91.xml
%{_datadir}/glade/pixmaps/hicolor/16x16/actions/widget-vte-terminal.png
%{_datadir}/glade/pixmaps/hicolor/22x22/actions/widget-vte-terminal.png
   
%files -n %{lib3_name}
%{_libdir}/libvte-%{api3}.so.%{lib3_major}.*
%{_libdir}/libvte-%{api3}.so.0
%{_libdir}/girepository-1.0/Vte-%{api3}.typelib

%files -n %{develname3}
%{_includedir}/vte-%{api3}
%{_libdir}/libvte-%{api3}.so
%{_libdir}/pkgconfig/vte-%{api3}.pc
%{_datadir}/gir-1.0/Vte-%{api3}.gir
%{_datadir}/vala/vapi/vte-%{api3}.vapi
%{_datadir}/vala/vapi/vte-2.91.deps

%changelog
* Mon Sep 12 2022 tex - 0.68.0-1pclos2022
- new version

* Fri Dec 10 2021 tex - 0.66.2-1pclos2021
- new version

* Thu Nov 18 2021 tex - 0.66.0-1pclos2021
- new version

* Thu Sep 16 2021 tex - 0.64.2-2pclos2021
- rebuild against updates

* Sat Jun 05 2021 tex - 0.64.2-1pclos2021
- new version

* Fri Apr 23 2021 tex - 0.64.0-1pclos2021
- new version

* Fri Apr 02 2021 tex - 0.63.91-1pclos2021
- new version

* Sun Jan 10 2021 tex - 0.62.2-1pclos2021
- new version

* Fri Oct 09 2020 tex - 0.62.1-1pclos2020
- new version

* Tue Sep 15 2020 tex - 0.62.0-1pclos2020
- new version

* Sun Apr 26 2020 tex - 0.60.2-1pclos2020
- new version

* Sat Mar 28 2020 tex - 0.60.1-1pclos2020
- new version

* Fri Mar 06 2020 tex - 0.60.0-1pclos2020
- new version

* Sun Nov 24 2019 tex - 0.58.3-1pclos2019
- new version

* Sat Oct 12 2019 tex - 0.58.2-1pclos2019
- new version

* Tue Oct 08 2019 tex - 0.58.1-1pclos2019
- new version

* Sun Sep 15 2019 tex - 0.58.0-3pclos2019
- drop pthread link patch

* Sun Sep 15 2019 tex - 0.58.0-2pclos2019
- obsoletes vte2.90

* Tue Sep 10 2019 tex - 0.58.0-1pclos2019
- new version

* Tue Mar 05 2019 tex 0.54.3-1pclos2019
- new

* Fri Mar 17 2017 bb2 <bb2> 0.46.0-2pclos2017
- rebuild new gnutls

* Wed Sep 21 2016 bb <bb> 0.46.0-1pclos2016
- update

